<?php
/**
 * Moral Theme 
 *
 * @package Moral
 * active callbacks.
 * 
 */

function lawman_pro_if_header_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'lawman_pro_header_background' )->value();
}

function lawman_pro_if_header_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'lawman_pro_header_background' )->value();
}

/**
 * Check if the slider is cat
 */
function lawman_pro_if_slider_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_slider' )->value();
}

/**
 * Check if the slider is page
 */
function lawman_pro_if_slider_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_slider' )->value();
}

/**
 * Check if the slider is post
 */
function lawman_pro_if_slider_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_slider' )->value();
}

/**
 * Check if the main_service is cat
 */
function lawman_pro_if_main_service_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_main_service' )->value();
}

/**
 * Check if the main_service is page
 */
function lawman_pro_if_main_service_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_main_service' )->value();
}

/**
 * Check if the main_service is post
 */
function lawman_pro_if_main_service_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_main_service' )->value();
}

/**
 * Check if the about_us is post
 */
function lawman_pro_if_about_us_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_about_us' )->value();
}

function lawman_pro_if_about_us_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_about_us' )->value();
}


/**
 * Check if the about is post
 */
function lawman_pro_if_about_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_about' )->value();
}

function lawman_pro_if_about_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_about' )->value();
}


/**
 * Check if the service is custom
 */
function lawman_pro_if_service_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_service' )->value();
}

/**
 * Check if the service is page
 */
function lawman_pro_if_service_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_service' )->value();
}

/**
 * Check if the service is page
 */
function lawman_pro_if_service_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_service' )->value();
}

function lawman_pro_if_service_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'lawman_pro_service_background' )->value();
}

function lawman_pro_if_service_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'lawman_pro_service_background' )->value();
}

/**
 * Check if the team is cat
 */
function lawman_pro_if_team_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_team' )->value();
}

/**
 * Check if the team is page
 */
function lawman_pro_if_team_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_team' )->value();
}

/**
 * Check if the team is post
 */
function lawman_pro_if_team_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_team' )->value();
}

function lawman_pro_if_team_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'lawman_pro_team_background' )->value();
}

function lawman_pro_if_team_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'lawman_pro_team_background' )->value();
}

/**
 * Check if the team is page
 */
function lawman_pro_if_callus_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_callus' )->value();
}

/**
 * Check if the callus is post
 */
function lawman_pro_if_callus_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_callus' )->value();
}

/**
 * Check if the callus is post
 */
function lawman_pro_if_callus_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'lawman_pro_callus' )->value();
}

/**
 * Check if the featured is custom
 */
function lawman_pro_if_featured_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_featured' )->value();
}

/**
 * Check if the featured is page
 */
function lawman_pro_if_featured_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_featured' )->value();
}

/**
 * Check if the featured is post
 */
function lawman_pro_if_featured_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_featured' )->value();
}


/**
 * Check if the popular is custom
 */
function lawman_pro_if_popular_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_popular' )->value();
}

/**
 * Check if the popular is page
 */
function lawman_pro_if_popular_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_popular' )->value();
}

/**
 * Check if the popular is post
 */
function lawman_pro_if_popular_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_popular' )->value();
}

/**
 * Check if the related is custom
 */
function lawman_pro_if_related_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_related' )->value();
}

/**
 * Check if the related is page
 */
function lawman_pro_if_related_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_related' )->value();
}

/**
 * Check if the related is post
 */
function lawman_pro_if_related_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_related' )->value();
}


/**
 * Check if the testinomial is page
 */
function lawman_pro_if_testinomial_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_testinomial' )->value();
}

/**
 * Check if the testinomial is cat
 */
function lawman_pro_if_testinomial_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_testinomial' )->value();
}

/**
 * Check if the testinomial is post
 */
function lawman_pro_if_testinomial_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_testinomial' )->value();
}

function lawman_pro_if_testinomial_background_image( $control ) {
	return 'image' === $control->manager->get_setting( 'lawman_pro_testinomial_background' )->value();
}

function lawman_pro_if_testinomial_background_color( $control ) {
	return 'color' === $control->manager->get_setting( 'lawman_pro_testinomial_background' )->value();
}
/**
 * Check if the portfolio is post
 */
function lawman_pro_if_portfolio_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_portfolio' )->value();
}

/**
 * Check if the cta is post
 */


function lawman_pro_if_cta_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_cta' )->value();
}

function lawman_pro_if_cta_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_cta' )->value();
}


/**
 * Check if the client is custom
 */
function lawman_pro_if_client_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_client' )->value();
}
/**
 * Check if the client is page
 */
function lawman_pro_if_client_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_client' )->value();
}

function lawman_pro_if_client_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_client' )->value();
}

function lawman_pro_if_client_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'lawman_pro_client' )->value();
}


/**
 * Check if the latest is custom
 */
function lawman_pro_if_latest_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'lawman_pro_latest' )->value();
}
/**
 * Check if the latest is page
 */
function lawman_pro_if_latest_page( $control ) {
	return 'page' === $control->manager->get_setting( 'lawman_pro_latest' )->value();
}

function lawman_pro_if_latest_post( $control ) {
	return 'post' === $control->manager->get_setting( 'lawman_pro_latest' )->value();
}


/**
 * Check if the footer text is enabled
 */
function lawman_pro_if_footer_text_enable( $control ) {
	return $control->manager->get_setting( 'lawman_pro_enable_footer_text' )->value();
}

/**
 * Check if custom color scheme is enabled
 */
function lawman_pro_if_custom_color_scheme( $control ) {
	return 'custom' === $control->manager->get_setting( 'lawman_pro_color_scheme' )->value();
}

