<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * topbar
 */

$wp_customize->add_section(
	'lawman_pro_topbar',
	array(
		'title' => esc_html__( 'Top bar', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

// topbar enable settings
$wp_customize->add_setting(
	'lawman_pro_topbar',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'lawman_pro_topbar',
	array(
		'section'		=> 'lawman_pro_topbar',
		'label'			=> esc_html__( 'Enable Topbar', 'lawman-pro' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(
	'lawman_pro_topbar_social_menu',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'lawman_pro_topbar_social_menu',
	array(
		'section'		=> 'lawman_pro_topbar',
		'label'			=> esc_html__( 'Enable Social Menu', 'lawman-pro' ),
		'type'			=> 'checkbox',
	)
);


$wp_customize->add_setting(
		'lawman_pro_topbar_location',
		array(	
		'sanitize_callback' => 'sanitize_text_field'
		)
	);

$wp_customize->add_control(
	'lawman_pro_topbar_location',
	array(
	'label'       => __('Enter Location ', 'lawman-pro'),  
	'section'     => 'lawman_pro_topbar',   		
	'type'        => 'text'
	)
);

$wp_customize->add_setting(
		'lawman_pro_topbar_contact',
		array(	
		'sanitize_callback' => 'sanitize_text_field'
		)
	);

$wp_customize->add_control(
	'lawman_pro_topbar_contact',
	array(
	'label'       => __('Enter contact No. ', 'lawman-pro'),  
	'section'     => 'lawman_pro_topbar',   		
	'type'        => 'text'
	)
);
