<?php
/**
 * Moral Themes widgets inclusion
 *
 * This is the template that includes all custom widgets of Smooth Blog Pro
 *
 * @package Moral Themes
 * @subpackage Smooth Blog Pro
 * @since Smooth Blog Pro 1.0.0
 */


/*
 * Add Latest Posts widget
 */
require get_template_directory() . '/inc/widgets/latest-posts-widget.php';

require get_template_directory() . '/inc/widgets/social-link-widget.php';



/**
 * Register widgets
 */
function lawman_pro_register_widgets() {

	register_widget( 'lawman_pro_Latest_Post' );
	register_widget( 'lawman_pro_Social_Link' );



}
add_action( 'widgets_init', 'lawman_pro_register_widgets' );